Name:    breeze-gtk
Version: 5.27.10
Release:    1%{?dist}
Summary: Breeze widget theme for GTK

License: GPLv2+
URL:     https://cgit.kde.org/%{name}.git

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/plasma/%{version}/%{name}-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  gtk2-engines
BuildRequires:  plasma-breeze-devel >= 5.20.2-2
BuildRequires:  python3-cairo-devel
BuildRequires:  sassc

BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-rpm-macros

BuildRequires:  qt5-qtbase-devel

Requires: %{name}-gtk2 = %{version}-%{release}
Requires: %{name}-gtk3 = %{version}-%{release}
Requires: %{name}-gtk4 = %{version}-%{release}

%description
%{summary}.

%package common
Summary:        Breeze widget theme for GTK common files
Conflicts:      breeze-gtk < 5.20.2-2

%description common
%{summary}.

%package gtk2
Summary:        Breeze widget theme for GTK 2
Requires:       gtk2-engines
Requires:       %{name}-common = %{version}-%{release}
Supplements:    (plasma-breeze and gtk2)
%description gtk2
%{summary}.

%package gtk3
Summary:        Breeze widget theme for GTK 3
Requires:       %{name}-common = %{version}-%{release}
Supplements:    (plasma-breeze and gtk3)
%description gtk3
%{summary}.

%package gtk4
Summary:        Breeze widget theme for GTK 4
Requires:       %{name}-common = %{version}-%{release}
Supplements:    (plasma-breeze and gtk4)
%description gtk4
%{summary}.


%prep
%autosetup -n %{name}-%{version} -p1


%build
%cmake_kf5

%cmake_build


%install
%cmake_install


%files

%files common
%license LICENSES/*.txt
%doc README.md
%dir %{_datadir}/themes/Breeze/
%{_datadir}/themes/Breeze/assets/
%{_datadir}/themes/Breeze/settings.ini
%dir %{_datadir}/themes/Breeze-Dark/
%{_datadir}/themes/Breeze-Dark/assets/
%{_datadir}/themes/Breeze-Dark/settings.ini

%files gtk2
%{_datadir}/themes/Breeze/gtk-2.0/
%{_datadir}/themes/Breeze-Dark/gtk-2.0/

%files gtk3
%{_datadir}/themes/Breeze/gtk-3.0/
%{_datadir}/themes/Breeze-Dark/gtk-3.0/

%files gtk4
%{_datadir}/themes/Breeze/gtk-4.0/
%{_datadir}/themes/Breeze-Dark/gtk-4.0/


%changelog
* Thu Apr 11 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.27.10-1
- initial build
